Search for places
Catalog of objects (3.0)
The difference between version 2.0 and 3.0 is that in 3.0 you can obtain all types of data — companies, map objects, routes and stops — in response to a single request, while in 2.0 you have to make several requests to obtain the same.
Getting a collection of objects
Searches for locations based on the specified query and shows a paginated list of results.
query Parameters
| key required | string A unique key of API user. |
| locale | string Examples:
The locale with which the search is performed and given results. List of available locales:
|
| q | string [ 1 .. 500 ] characters An arbitrary search string. |
| type | Array of strings Examples:
The types of objects among which the search is performed. When several types are passed, less relevant results of some types may be displaced by more relevant results of other types. Types are listed comma-separated. The adm_div value is an alias for all The list of available types:
The list of available subtypes ( |
| fields | Array of strings Examples:
Additional fields to be displayed in the response should be separated by commas. Fields labeled The list of fields containing information on geometry and address of the place:
The list of fields with additional information on the place:
List of service fields:
|
| search_type | string Default: "discovery" The type of search being performed. Allowed values:
|
| search_is_query_text_complete | boolean Instructs the search engine that the query is complete (the user pressed the button to finish input). Disables prefix matching, i.e. searching for "bank" will not find "ATM" ("bankomat"). |
| search_nearby | boolean Instructs the search engine to use a search mode near the user. Significantly increases the importance of the distance from the user. Popularity, advertising and other parameters still take part in the ranking, but to a lesser extent. |
| search_input_method | string Instructs the search engine on the method of entering the query text:
|
| search_territory_of_interest | string Example: search_territory_of_interest=MULTIPOLYGON (((87.17 53.75, 87.1789 53.75, 87.17 53.755, 87.177 53.75))) Instructs the search engine to apply a weak restriction on the search area for objects: a penalty for not matching instead of strict exclusion. But there is no advertising outside the TOI. Requires the |
| sort | string Default: "relevance" Sorting of the results. Allowed values:
|
| sort_point | string Deprecated Examples:
The coordinates of the point from which sorting is performed (point coordinates in |
| location | string Examples:
User location (coordinate format: |
| lon | number <double> ( -180 .. 180 ) Examples:
The longitude of the point — the center of the search area. The allowed range of values: from -180 to 180. Must be used together with the |
| lat | number <double> ( -90 .. 90 ) Examples:
The latitude of the point — the center of the search area. The allowed range of values: from -90 to 90. Must be used together with the |
| point | string Examples:
The center of the search area (point coordinates in Used for filtering results within a circle. The parameter conflicts with the |
| radius | integer [ 0 .. 50000 ] Default: 250 The search radius in meters. Limit: from 0 to 50000 when a search query ( Used for filtering results within a circle. |
| district_id | Array of integers Examples:
The IDs of the districts, separated by commas. They are used to filter objects by district. The maximum number is 50. Can only be used in conjunction with the |
| building_id | Array of integers Examples:
The IDs of the buildings, separated by commas. They are used to filter objects in a building. The maximum number is 50. |
| place_id | Array of integers Examples:
Comma-separated place identifiers. Used for filtering objects within a territory. The maximum number is 50. |
| city_id | Array of integers Examples:
The IDs of the cities separated by commas. They are used to filter objects by cities. The maximum number is 50. |
| subway | Array of integers Examples:
Comma-separated metro station identifiers. Used for filtering objects by metro stations. The maximum number is 50. |
| point1 | string Examples:
The coordinates of the top-left vertex of the rectangular area, in Used for filtering results within a rectangular area.
The maximum distance between the If the The parameter conflicts with the |
| point2 | string Examples:
The coordinates of the bottom-right vertex of the rectangular area, in Used for filtering results within a rectangular area.
The maximum distance between the If the The parameter conflicts with the |
| polygon | string Examples:
A polygon in WKT format. Used for filtering results within an arbitrary area. The allowed polygon area is ~6 km². If the q parameter is passed, no restrictions are applied. The parameter conflicts with the |
| viewpoint1 | string Examples:
The coordinates of the top-left vertex of the viewport's rectangular area, in The Used as one of the criteria for determining where results are needed, and for ranking. Does not strictly limit the search results to only the specified area. |
| viewpoint2 | string Examples:
The coordinates of the bottom-right vertex of the viewport's rectangular area, in The Used as one of the criteria for determining where results are needed, and for ranking. Does not strictly limit the search results to only the specified area. |
| region_id | integer Region ID. Required if no geographic search restriction is specified. Details on how the map is divided into regions can be found in the Regions API description. |
| page | integer [ 1 .. 1000000 ] Default: 1 The number of the requested page. |
| page_size | integer [ 1 .. 50 ] Default: 20 Number of search results displayed on one page. |
| rubric_id | Array of integers Examples:
Category ID. The A comma-separated list of category identifiers can also be passed. In this case, all categories must belong to the same region. |
| org_id | integer Filter by the ID of the organization to which the company belongs. |
| brand_id | integer Filter by the brand ID to which the company belongs. |
| has_photos | boolean Filter by the presence of photos.
Can be either |
| has_rating | boolean Filter by the presence of a rating on flamp.ru.
Can be either |
| has_reviews | boolean Filter by the presence of reviews on flamp.ru.
Can be either |
| has_site | boolean Filter by the presence of a website.
Can be either |
| work_time | string Examples:
The company's working hours. Format: [day],[time] or now (current day and time). Examples:
|
| opened_after_date | string <date> Examples:
Filters companies whose opening date is later than the passed parameter. Accepts values in the YYYY-MM-DD format. |
| has_itin | boolean Filter by the presence of an individual taxpayer number.
Can be either |
| has_trade_license | boolean Filter by the presence of a trade license. Accepts the values |
Responses
Response Schema: application/json
required | object Response metadata. |
required | object Main result |
Response samples
- 200
- 400
- 403
- 404
- 408
- 500
{- "meta": {
- "api_version": "dev",
- "code": 0,
- "issue_date": "string"
}, - "result": {
- "ad": {
- "gta": {
- "banners": [
- {
- "ad_attributes": {
- "ads_id": "123456",
- "algorithm_id": 1,
- "auction_id": "185078a5-6bda-458b-bf76-91149ffd8ccc",
- "banner_id": "string",
- "branch_id": "string",
- "content": {
- "options": {
- "actions": [
- { }
], - "color": "string",
- "images": [
- { }
], - "logo": {
- "bg_color": null,
- "bg_img_url": null,
- "img_url": null,
- "text_color": null,
- "use_default_value": null
}, - "videos": [
- { }
]
}, - "text": "string",
- "text_warning": "string"
}, - "erid": [
- "string"
], - "is_ads": true,
- "legal_name": "string",
- "placement": 0,
- "project_id": 0,
- "rubric_id": 0,
- "trackers": {
- "adid": "string",
- "pli": "string"
}
}, - "hash": "string",
- "main_rubric_id": 0,
- "name_ex": {
- "addition": "string",
- "description": "Warehouse",
- "extension": "cafe",
- "legal_name": "LLC Sunny",
- "primary": "Sunny",
- "short_name": "Sunny"
}, - "org": {
- "branch_count": 7,
- "extension": "string",
- "id": "123456",
- "name": "string",
- "primary": "string"
}, - "region_id": "123456",
- "segment_id": "123456"
}
], - "stories": {
- "objects": [
- {
- "adsId": "123456",
- "algorithmId": 1,
- "content": {
- "preview": {
- "backgroundUrl": "string",
- "text": "string"
}, - "slides": [
- {
- "backgroundUrl": null,
- "body": null,
- "button": null,
- "footnote": null,
- "id": null,
- "rating": null,
- "swipeInterval": null,
- "template": null,
- "title": null,
- "video": null
}
]
}, - "erid": [
- "string"
], - "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "legalName": "string",
- "orgId": "string",
- "projectId": 0
}
]
}
}
}, - "context_rubrics": [
- {
- "caption": "string",
- "group": 0,
- "id": "string",
- "name": "string"
}
], - "items": [
- {
- "address": {
- "building_code": "string",
- "building_id": "20498230958",
- "building_name": "Sun City",
- "components": [
- {
- "fias_code": "dcb1bc1b-2324-449a-8b68-03e49ba1f541",
- "number": "21/2, bld 7",
- "okato": "35",
- "oktmo": "35",
- "street": "Krasnyy Prospekt",
- "street_id": "123456",
- "type": "street_number"
}
], - "landmark_name": "Zaryadye (a park in Moscow)",
- "makani": "27116 87099",
- "postcode": "630007"
}, - "address_comment": "office 413",
- "address_name": "Dimitrov Avenue, 7",
- "adm_div": [
- {
- "caption": "string",
- "city_alias": "novosibirsk",
- "detailed_subtype": "poselok",
- "flags": {
- "has_avg_bill": { },
- "has_model": { },
- "is_default": true,
- "is_district_area_center": true,
- "is_region_center": true,
- "photos": true,
- "temporary_closed": "string",
- "temporary_closed_parameters": [
- {
- "name": "string",
- "type": "string",
- "value": "string"
}
]
}, - "id": "123456",
- "is_default": true,
- "name": "Ust-Kamenogorsk",
- "type": "city"
}
], - "alias": "shintop_set_avtomarketov",
- "attribute_groups": [
- {
- "attributes": [
- {
- "icon_url": "string",
- "id": "123456",
- "name": "Free Internet in the rooms",
- "tag": "hotel_room_internet"
}
], - "icon_url": "string",
- "is_context": true,
- "is_primary": true,
- "name": "Hotel",
- "rubric_ids": [
- "123456"
]
}
], - "brand": {
- "branch_count": 0,
- "extension": "string",
- "id": "string",
- "name": "string"
}, - "building_name": "string",
- "city_alias": "novosibirsk",
- "contact_groups": [
- {
- "comment": "Multichannel phone number",
- "contacts": [
- {
- "comment": "for business correspondence",
- "print_text": "Ivanov's e-mail",
- "text": "Ivanov's e-mail",
- "type": "phone",
- "url": "string",
- "value": "Phone number in international format"
}
], - "name": "Service center",
- "schedule": {
- "Fri": {
- "working_hours": [
- {
- "from": null,
- "to": null
}
]
}, - "Mon": {
- "working_hours": [
- {
- "from": null,
- "to": null
}
]
}, - "Sat": {
- "working_hours": [
- {
- "from": null,
- "to": null
}
]
}, - "Sun": {
- "working_hours": [
- {
- "from": null,
- "to": null
}
]
}, - "Thu": {
- "working_hours": [
- {
- "from": null,
- "to": null
}
]
}, - "Tue": {
- "working_hours": [
- {
- "from": null,
- "to": null
}
]
}, - "Wed": {
- "working_hours": [
- {
- "from": null,
- "to": null
}
]
}, - "comment": "Open 24h on holidays",
- "date_from": "string",
- "date_to": "string",
- "description": "string",
- "is_24x7": true
}, - "schedule_special": [
- {
- "date": "2025-01-02",
- "working_hours": [
- {
- "from": null,
- "to": null
}
]
}
]
}
], - "context": {
- "dist": 0,
- "distance": 3483,
- "is_in_bound": true,
- "servicing_group": "string",
- "servicing_groups": [
- "string"
], - "stop_factors": [
- {
- "name": "Laundry",
- "tag": "hotel_details_laundry",
- "type": "attribute"
}
]
}, - "dates": {
- "created_at": "2012-04-18T12:08:03.273144+07:00",
- "deleted_at": "2013-06-01T11:43:03.273144+07:00",
- "updated_at": "2012-06-18T11:43:03.273144+07:00"
}, - "description": "string",
- "employees_org_count": "up to 15",
- "ev_charging_station": {
- "aggregate": {
- "connectors_free": 0,
- "connectors_total": 0,
- "is_active": true,
- "is_busy": true,
- "power": 0
}, - "connectors": [
- {
- "power": 0,
- "price": 0,
- "status": 0,
- "type": "string"
}
]
}, - "flags": {
- "has_avg_bill": { },
- "has_model": { },
- "is_default": true,
- "is_district_area_center": true,
- "is_region_center": true,
- "photos": true,
- "temporary_closed": "string",
- "temporary_closed_parameters": [
- {
- "name": "string",
- "type": "string",
- "value": "string"
}
]
}, - "floor_id": "141832714658709",
- "floor_plans": {
- "default_plan_id": "123456",
- "plans": [
- {
- "id": "123456",
- "name": "string"
}
]
}, - "floors": {
- "ground_count": 1,
- "ground_min_count": 1,
- "underground_count": 1
}, - "full_address_name": "Novosibirsk, Dimitrov Avenue, 7",
- "full_name": "string",
- "geometry": {
- "centroid": "POINT(83.306820839303 54.6230101954005)",
- "hover": "POLYGON((36.193851601974 51.7466070840044,36.1943391434488 51.7466070840044,36.1943391434488 51.7474670961949,36.193851601974 51.7474670961949,36.193851601974 51.7466070840044))",
- "selection": "POINT(83.306820839303 54.6230101954005)"
}, - "has_apartments_info": true,
- "id": "141265769336625_f91d4H3777058262347790J0e8g28765",
- "is_deleted": true,
- "is_routing_available": true,
- "itin": "1234567890",
- "links": {
- "airports": {
- "count": 0,
- "items": [
- {
- "additional_info": "Airport, Ob-4",
- "id": "123456",
- "name": "Tolmachevo airport"
}
]
}, - "attractions": [
- {
- "authors": "string",
- "dates": "string",
- "description": "string",
- "id": "123456",
- "name": "Fountain in Narymsky public garden",
- "subtype_name": "Fountain"
}
], - "branches": {
- "allowed_for_reviews_count": 0,
- "count": 1,
- "items": [
- {
- "additional_info": "string",
- "contacts": [
- {
- "comment": null,
- "print_text": null,
- "text": null,
- "type": null,
- "url": null,
- "value": null
}
], - "id": "123_24J2I19H1J0fghdw7GJ0JJ16153",
- "name": "string",
- "org_id": "string"
}
]
}, - "bus_terminals": {
- "count": 0,
- "items": [
- {
- "additional_info": "Krasnyy Prospekt, 4",
- "id": "123456",
- "name": "Bus station, Novosibirsk"
}
]
}, - "database_entrances": [
- {
- "apartments_info": {
- "calculated": true,
- "floors": [
- {
- "apartments": null,
- "name": null
}
]
}, - "building_number": "string",
- "comment": "string",
- "entity_name": "string",
- "entity_number": "string",
- "entrance_display_name": "string",
- "geometry": {
- "normals": [
- "string"
], - "points": [
- "string"
], - "vectors": [
- "string"
]
}, - "has_poi": true,
- "id": "123456",
- "is_primary": true,
- "is_visible_in_ui": true,
- "is_visible_on_map": true,
- "name": "string",
- "relative_geometry": {
- "direction": 0,
- "dx": 0,
- "dy": 0
}
}
], - "entrances": [
- {
- "comment": "string",
- "entity_name": "string",
- "entity_number": "string",
- "entrance_display_name": "string",
- "geometry": {
- "normals": [
- "string"
], - "points": [
- "string"
], - "vectors": [
- "string"
]
}, - "id": "123456",
- "is_primary": true,
- "is_visible_in_ui": true,
- "is_visible_on_map": true
}
], - "hotels": {
- "count": 0,
- "items": [
- {
- "additional_info": "Mira St, 18a bld1",
- "id": "123456",
- "name": "Aquarius, Motel"
}
]
}, - "landmarks": [
- {
- "azimuth": 360,
- "distance": 0,
- "entrance_display_name": "string",
- "id": "123456",
- "name": "string",
- "station_id": "123456",
- "subtype": "string",
- "type": "station_platform"
}
], - "nearest_metro": [
- {
- "distance": 500,
- "id": "123456"
}
], - "nearest_parking": [
- {
- "id": "123456"
}
], - "nearest_platforms": [
- {
- "color": "#D10000",
- "comment": "Leninskaya line",
- "heading_to": "Nakhabino",
- "id": "123456",
- "name": "Krasniy Prospekt metro station",
- "route_logo": "string",
- "route_types": [
- "string"
], - "transition_type": "string"
}
], - "nearest_stations": [
- {
- "color": "#D10000",
- "comment": "Leninskaya line",
- "distance": 0,
- "entrance": {
- "entrance_display_name": "string",
- "geometry": {
- "centroid": "POINT(83.306820839303 54.6230101954005)",
- "hover": "POLYGON((36.193851601974 51.7466070840044,36.1943391434488 51.7466070840044,36.1943391434488 51.7474670961949,36.193851601974 51.7474670961949,36.193851601974 51.7466070840044))",
- "selection": "POINT(83.306820839303 54.6230101954005)"
}, - "id": "123456",
- "name": "string"
}, - "id": "123456",
- "internal_transition": true,
- "name": "Krasniy Prospekt metro station",
- "route_logo": "string",
- "route_types": [
- "string"
]
}
], - "on_territory": {
- "count": 0
}, - "parking": [
- {
- "capacity": "string",
- "comment": "50 rub per hour, first 2 hours free.",
- "id": "123456",
- "is_paid": true,
- "name": "Underground Parking, Sun City",
- "purpose": "string"
}
], - "providers": {
- "allowed_for_reviews_count": 0,
- "count": 1,
- "items": [
- {
- "additional_info": "string",
- "contacts": [
- {
- "comment": null,
- "print_text": null,
- "text": null,
- "type": null,
- "url": null,
- "value": null
}
], - "id": "123_24J2I19H1J0fghdw7GJ0JJ16153",
- "name": "string",
- "org_id": "string"
}
]
}, - "railway_terminals": {
- "count": 0,
- "items": [
- {
- "additional_info": "Shirokaya Street, 26a",
- "id": "123456",
- "name": "Novosibirsk-Western, railway station"
}
]
}, - "river_ports": {
- "count": 0,
- "items": [
- {
- "additional_info": "Leningrad highway, 51",
- "id": "123456",
- "name": "Moscow North river terminal"
}
]
}, - "seaports": {
- "count": 0,
- "items": [
- {
- "additional_info": "Marine Glory square, 1",
- "id": "123456",
- "name": "Marine passenger terminal"
}
]
}, - "servicing": {
- "allowed_for_reviews_count": 0,
- "count": 1,
- "items": [
- {
- "additional_info": "string",
- "contacts": [
- {
- "comment": null,
- "print_text": null,
- "text": null,
- "type": null,
- "url": null,
- "value": null
}
], - "id": "123_24J2I19H1J0fghdw7GJ0JJ16153",
- "name": "string",
- "org_id": "string"
}
]
}, - "station_scheme": {
- "building_id": "123456",
- "floor_plan_id": "123456",
- "geometry": "string"
}, - "tourist_route_places": [
- {
- "id": "123456"
}
], - "tourist_routes": [
- {
- "id": "123456"
}
]
}, - "locale": "ru_RU",
- "marker_alt": 0,
- "name": "the Sunny cafe",
- "name_ex": {
- "addition": "string",
- "description": "Warehouse",
- "extension": "cafe",
- "legal_name": "LLC Sunny",
- "primary": "Sunny",
- "short_name": "Sunny"
}, - "org": {
- "branch_count": 7,
- "extension": "string",
- "id": "123456",
- "name": "string",
- "primary": "string"
}, - "parking": {
- "congestion": {
- "blocked": true,
- "spaces": {
- "common": {
- "free": 0,
- "total": 0
}, - "handicapped": {
- "free": 0,
- "total": 0
}
}, - "updated_datetime": "string"
}, - "payment_link": "string"
}, - "poi_context_rubrics": [
- {
- "id": "319"
}
], - "point": {
- "lat": 82.901886,
- "lon": 54.991984
}, - "purpose_name": "string",
- "region_id": "123456",
- "reviews": {
- "general_rating": 4.73,
- "general_review_count": 0,
- "general_review_count_with_stars": 0,
- "is_org_reviews": true,
- "is_reviewable": true,
- "items": [
- {
- "is_reviewable": true,
- "rating": 5,
- "recommendation_count": 0,
- "review_count": 0,
- "tag": "string"
}
], - "org_rating": 4.73,
- "org_review_count": 0,
- "org_review_count_with_stars": 0,
- "rating": 4.73,
- "recommendation_count": 12,
- "review_count": 32
}, - "rubrics": [
- {
- "alias": "string",
- "id": "123456",
- "kind": "string",
- "name": "string",
- "parent_id": "123456"
}
], - "schedule": {
- "Fri": {
- "working_hours": [
- {
- "from": "09:00",
- "to": "17:00"
}
]
}, - "Mon": {
- "working_hours": [
- {
- "from": "09:00",
- "to": "17:00"
}
]
}, - "Sat": {
- "working_hours": [
- {
- "from": "09:00",
- "to": "17:00"
}
]
}, - "Sun": {
- "working_hours": [
- {
- "from": "09:00",
- "to": "17:00"
}
]
}, - "Thu": {
- "working_hours": [
- {
- "from": "09:00",
- "to": "17:00"
}
]
}, - "Tue": {
- "working_hours": [
- {
- "from": "09:00",
- "to": "17:00"
}
]
}, - "Wed": {
- "working_hours": [
- {
- "from": "09:00",
- "to": "17:00"
}
]
}, - "comment": "Open 24h on holidays",
- "date_from": "string",
- "date_to": "string",
- "description": "string",
- "is_24x7": true
}, - "schedule_special": [
- {
- "date": "2025-01-02",
- "working_hours": [
- {
- "from": "09:00",
- "to": "17:00"
}
]
}
], - "search_attributes": {
- "additional_context": [
- 0
], - "additional_info": { },
- "dgis_address_details": {
- "address": "12",
- "apartment": "15",
- "entrance": "1",
- "precision": "string"
}, - "external_source": 1,
- "suggest_parts": [
- {
- "is_suggested": true,
- "text": "string"
}
], - "suggested_text": "string"
}, - "segment_id": "123456",
- "ski_lift": {
- "status": 0,
- "type": 0
}, - "sources": [
- "string"
], - "stop_factors": [
- {
- "name": "Laundry",
- "tag": "hotel_details_laundry",
- "type": "attribute"
}
], - "structure_info": {
- "apartments_count": 0,
- "chs_category": "string",
- "chs_name": "string",
- "elevators_count": 0,
- "floor_type": "string",
- "gas_type": "string",
- "is_in_emergency_state": true,
- "material": "string",
- "porch_count": 0,
- "project_type": "string",
- "year_of_construction": 0
}, - "summary": {
- "text": "string"
}, - "timezone_offset": 420,
- "trade_license": {
- "director_name": "string",
- "end_date": "string",
- "legal_form": "string",
- "license": "string",
- "start_date": "string",
- "type": "string",
- "type_description": "string"
}, - "type": "branch"
}
], - "search_attributes": {
- "additional_info": { },
- "drag_bound": [
- {
- "latitude": 55.97851125831795,
- "longitude": 29.13375591576512
}, - {
- "latitude": 55.97851125831795,
- "longitude": 29.13375591576512
}, - {
- "latitude": 55.97851125831795,
- "longitude": 29.13375591576512
}, - {
- "latitude": 55.97851125831795,
- "longitude": 29.13375591576512
}
], - "is_nearby_requested": true,
- "is_partial": true,
- "is_remote_requested": true,
- "out_viewport": [
- {
- "latitude": 55.97851125831795,
- "longitude": 29.13375591576512
}, - {
- "latitude": 55.97851125831795,
- "longitude": 29.13375591576512
}, - {
- "latitude": 55.97851125831795,
- "longitude": 29.13375591576512
}, - {
- "latitude": 55.97851125831795,
- "longitude": 29.13375591576512
}
]
}, - "total": 1
}
}